/**
 * This file contains part of the source for MGameServer.
 * Copyright (C) 2006 Kristo Tammeoja
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
 * 
 * See the GNU General Public License for more details.
 */
package mgameserver.games.amazons;

import mgameserver.games.*;

/**
 * Move class for game Amazons.
 * @author Kristo Tammeoja
 */
public class AmazonsMove extends Move {

    /**
     * Creates new Amazons move with specified from, to and arrow coordinates.
     */
    public AmazonsMove(int fromCol, int fromRow, int toCol, int toRow, int arrowCol, int arrowRow) {
        super();
        this.fromCol = fromCol;
        this.fromRow = fromRow;
        this.toCol = toCol;
        this.toRow = toRow;
        this.arrowCol = arrowCol;
        this.arrowRow = arrowRow;
    }

    /**
     * Gets the column of the square from where the amazon is selected from.
     */
    public int getFromCol() {
        return this.fromCol;
    }
    private int fromCol;

    /**
     * Gets the row of the square from where the amazon is selected from.
     */
    public int getFromRow() {
        return this.fromRow;
    }
    private int fromRow; 

    /**
     * Gets the column of the square that the amazon is put to. 
     */
    public int getToCol() {
        return this.toCol;
    }
    private int toCol;

    /**
     * Gets the row of the square that the amazon is put to.
     */
    public int getToRow() {
        return this.toRow;
    }
    private int toRow;

    /**
     * Gets the row of the square where the arrow is fired.
     */
    public int getArrowRow() {
        return this.arrowRow;
    }
    private int arrowRow;

    /**
     * Gets the column of the square where the arrow is fired.
     */
    public int getArrowCol() {
        return this.arrowCol;
    }
    private int arrowCol;

    public String toString(){
        return "Amazons move: " + (char)(this.fromCol - 1 + 'a') + this.fromRow + "-"
                                + (char)(this.toCol - 1 + 'a') + this.toRow + "/"
                                + (char)(this.arrowCol - 1 + 'a') + this.arrowRow;
    }
}