/**
 * This file contains part of the source for MGameServer.
 * Copyright (C) 2005 Avo Muromgi
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
 * 
 * See the GNU General Public License for more details.
 */
package mgameserver.games.clobber;

import mgameserver.games.*;

/**
 * Move class for game Clobber.
 * @author Avo Muromgi
 */
public class ClobberMove extends Move {

    /**
     * Creates new Clobber move with specified from and to coordinates.
     */
    public ClobberMove(int fromCol, int fromRow, int toCol, int toRow) {
        super();
        this.fromCol = fromCol;
        this.fromRow = fromRow;
        this.toCol = toCol;
        this.toRow = toRow;
    }

    /**
     * Gets the column of the square from where the piece is selected from.
     */
    public int getFromCol() {
        return this.fromCol;
    }
    private int fromCol;

    /**
     * Gets the row of the square from where the piece is selected from.
     */
    public int getFromRow() {
        return this.fromRow;
    }
    private int fromRow; 

    /**
     * Gets the column of the square that the piece is put to. 
     */
    public int getToCol() {
        return this.toCol;
    }
    private int toCol;

    /**
     * Gets the row of the square that the piece is put to.
     */
    public int getToRow() {
        return this.toRow;
    }
    private int toRow;

    public String toString(){
        return "Clobber move: " + this.fromCol + " " + this.fromRow + " " + this.toCol + " " + this.toRow;
    }
}