/**
 * This file contains part of the source for MGameServer.
 * Copyright (C) 2005 Avo Muromgi
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
 * 
 * See the GNU General Public License for more details.
 */
package mgameserver.games.stopgate;

import mgameserver.games.*;

/**
 * Stop-Gate move class.
 * @author Avo Muromgi
 */
public class StopGateMove extends Move {

    /**
     * Creates new instance of StopGateMove.
     * @param col Leftmost column of the added piece.
     * @param row Lowest row of the added piece.
     */
    public StopGateMove(final int col, final int row) {
        this.col = col;
        this.row = row;
    }
    
    /**
     * Gets the leftmost column of the move. 
     */
    public int getCol() {
        return this.col;
    }
    private int col;

    /**
     * Gets lowest row of the move
     */
    public int getRow() {
        return this.row;
    }
    private int row;
    
    public String toString() {
        return "Stop-Gate move: " + this.col + " " + this.row;
    }
}
