/**
 * This file contains part of the source for MGameServer.
 * Copyright (C) 2005 Avo Muromgi
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
 * 
 * See the GNU General Public License for more details.
 */
package mgameserver.util;

import mgameserver.*;

/**
 * Provides methods for handling exceptions.
 * @author Avo Muromgi
 */
public class ExceptionHandler {

    /**
     * Hide this method from other users. 
     */
    private ExceptionHandler() {
        // nothing here...
    }

    public static void handleException(String message, Exception ex) {
        if (Program.logger != null) {
            Program.logger.addSeparator();
            Program.logger.log("Error: " + message);
            Program.logger.log("Exception handled: " + ex.getMessage());
            for (int i = 0; i < ex.getStackTrace().length; i++)
                Program.logger.log(ex.getStackTrace()[i].toString());
                Program.logger.addSeparator();
        }
        if (Program.DEBUG) {
            System.err.println("-----------------------------------------------------------------");
            ex.printStackTrace();
            System.err.println("=================================================================");
        }
    }
}