/**
 * This file contains part of the source for MGameServer.
 * Copyright (C) 2005 Avo Muromgi
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
 * 
 * See the GNU General Public License for more details.
 */
package mgameserver.util;

/**
 * Provides utility functions.
 * @author Avo Muromgi
 */
public class Utils {

    /**
     * Sleeps current thread for <code>t</code> milliseconds.
     */
    public static void sleep(long t){
        try {
            Thread.sleep(t);
        } catch (InterruptedException ex) {
            ExceptionHandler.handleException("", ex);
        }
    }
    
    private Utils() {
        // nothing here
    }
}
